-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
bisa dibuat deb dan ganti semua path jadi absolut
- Loading branch information
1 parent
1157730
commit 7fff637
Showing
48 changed files
with
3,319 additions
and
0 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,6 @@ | ||
staticmirror for Debian | ||
----------------------- | ||
|
||
<possible notes regarding this package - if none, delete this file> | ||
|
||
-- Firauxa <iqbalmineraltown@gmail.com> Fri, 16 May 2014 17:36:42 +0700 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,9 @@ | ||
staticmirror for Debian | ||
----------------------- | ||
|
||
<this file describes information about the source package, see Debian policy | ||
manual section 4.14. You WILL either need to modify or delete this file> | ||
|
||
|
||
|
||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,5 @@ | ||
staticmirror (0.8-1) unstable; urgency=low | ||
|
||
* Initial release (Closes: #nnnn) <nnnn is the bug number of your ITP> | ||
|
||
-- Firauxa <iqbalmineraltown@gmail.com> Fri, 16 May 2014 17:36:42 +0700 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
8 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,9 @@ | ||
Package: staticmirror | ||
Priority: optional | ||
Section: devel | ||
Installed-Size: 100 | ||
Maintainer: Muhammad Iqbal <iqbalmineraltown@gmail.com> | ||
Architecture: i386 | ||
Version: 0.8 | ||
Depends: libc6 (>= 2.1) | ||
Description: This is just a test package. |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,38 @@ | ||
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/ | ||
Upstream-Name: staticmirror | ||
Source: <url://example.com> | ||
|
||
Files: * | ||
Copyright: <years> <put author's name and email here> | ||
<years> <likewise for another author> | ||
License: <special license> | ||
<Put the license of the package here indented by 1 space> | ||
<This follows the format of Description: lines in control file> | ||
. | ||
<Including paragraphs> | ||
|
||
# If you want to use GPL v2 or later for the /debian/* files use | ||
# the following clauses, or change it to suit. Delete these two lines | ||
Files: debian/* | ||
Copyright: 2014 Firauxa <iqbalmineraltown@gmail.com> | ||
License: GPL-2+ | ||
This package is free software; you can redistribute it and/or modify | ||
it under the terms of the GNU General Public License as published by | ||
the Free Software Foundation; either version 2 of the License, or | ||
(at your option) any later version. | ||
. | ||
This package is distributed in the hope that it will be useful, | ||
but WITHOUT ANY WARRANTY; without even the implied warranty of | ||
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the | ||
GNU General Public License for more details. | ||
. | ||
You should have received a copy of the GNU General Public License | ||
along with this program. If not, see <http://www.gnu.org/licenses/> | ||
. | ||
On Debian systems, the complete text of the GNU General | ||
Public License version 2 can be found in "/usr/share/common-licenses/GPL-2". | ||
|
||
# Please also look if there are files or directories which have a | ||
# different copyright/license attached and list them here. | ||
# Please avoid to pick license terms that are more restrictive than the | ||
# packaged work, as it may make Debian's contributions unacceptable upstream. |
Empty file.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,47 @@ | ||
#! /bin/sh -e | ||
# /usr/lib/emacsen-common/packages/install/staticmirror | ||
|
||
# Written by Jim Van Zandt <jrv@debian.org>, borrowing heavily | ||
# from the install scripts for gettext by Santiago Vila | ||
# <sanvila@ctv.es> and octave by Dirk Eddelbuettel <edd@debian.org>. | ||
|
||
FLAVOR=$1 | ||
PACKAGE=staticmirror | ||
|
||
if [ ${FLAVOR} = emacs ]; then exit 0; fi | ||
|
||
echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR} | ||
|
||
#FLAVORTEST=`echo $FLAVOR | cut -c-6` | ||
#if [ ${FLAVORTEST} = xemacs ] ; then | ||
# SITEFLAG="-no-site-file" | ||
#else | ||
# SITEFLAG="--no-site-file" | ||
#fi | ||
FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile" | ||
|
||
ELDIR=/usr/share/emacs/site-lisp/${PACKAGE} | ||
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE} | ||
ELRELDIR=../../../emacs/site-lisp/${PACKAGE} | ||
|
||
# Install-info-altdir does not actually exist. | ||
# Maybe somebody will write it. | ||
if test -x /usr/sbin/install-info-altdir; then | ||
echo install/${PACKAGE}: install Info links for ${FLAVOR} | ||
install-info-altdir --quiet --section "" "" --dirname=${FLAVOR} /usr/share/info/${PACKAGE}.info.gz | ||
fi | ||
|
||
install -m 755 -d ${ELCDIR} | ||
cd ${ELDIR} | ||
FILES=`echo *.el` | ||
cd ${ELCDIR} | ||
ln -sf ${ELRELDIR}/*.el . | ||
|
||
cat << EOF > path.el | ||
(debian-pkg-add-load-path-item ".") | ||
(setq byte-compile-warnings nil) | ||
EOF | ||
${FLAVOR} ${FLAGS} ${FILES} | ||
rm -f path.el | ||
|
||
exit 0 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,15 @@ | ||
#!/bin/sh -e | ||
# /usr/lib/emacsen-common/packages/remove/staticmirror | ||
|
||
FLAVOR=$1 | ||
PACKAGE=staticmirror | ||
|
||
if [ ${FLAVOR} != emacs ]; then | ||
if test -x /usr/sbin/install-info-altdir; then | ||
echo remove/${PACKAGE}: removing Info links for ${FLAVOR} | ||
install-info-altdir --quiet --remove --dirname=${FLAVOR} /usr/share/info/staticmirror.info.gz | ||
fi | ||
|
||
echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR} | ||
rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE} | ||
fi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,27 @@ | ||
;; -*-emacs-lisp-*- | ||
;; | ||
;; Emacs startup file, e.g. /etc/emacs/site-start.d/50staticmirror.el | ||
;; for the Debian staticmirror package | ||
;; | ||
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at> | ||
;; Modified by Dirk Eddelbuettel <edd@debian.org> | ||
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org> | ||
|
||
;; The staticmirror package follows the Debian/GNU Linux 'emacsen' policy and | ||
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19, | ||
;; xemacs19, emacs20, xemacs20...). The compiled code is then | ||
;; installed in a subdirectory of the respective site-lisp directory. | ||
;; We have to add this to the load-path: | ||
(let ((package-dir (concat "/usr/share/" | ||
(symbol-name debian-emacs-flavor) | ||
"/site-lisp/staticmirror"))) | ||
;; If package-dir does not exist, the staticmirror package must have | ||
;; removed but not purged, and we should skip the setup. | ||
(when (file-directory-p package-dir) | ||
(if (fboundp 'debian-pkg-add-load-path-item) | ||
(debian-pkg-add-load-path-item package-dir) | ||
(setq load-path (cons package-dir load-path))) | ||
(autoload 'staticmirror-mode "staticmirror-mode" | ||
"Major mode for editing staticmirror files." t) | ||
(add-to-list 'auto-mode-alist '("\\.staticmirror$" . staticmirror-mode)))) | ||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,154 @@ | ||
#!/bin/sh | ||
### BEGIN INIT INFO | ||
# Provides: staticmirror | ||
# Required-Start: $network $local_fs | ||
# Required-Stop: | ||
# Default-Start: 2 3 4 5 | ||
# Default-Stop: 0 1 6 | ||
# Short-Description: <Enter a short description of the software> | ||
# Description: <Enter a long description of the software> | ||
# <...> | ||
# <...> | ||
### END INIT INFO | ||
|
||
# Author: Firauxa <iqbalmineraltown@gmail.com> | ||
|
||
# PATH should only include /usr/* if it runs after the mountnfs.sh script | ||
PATH=/sbin:/usr/sbin:/bin:/usr/bin | ||
DESC=staticmirror # Introduce a short description here | ||
NAME=staticmirror # Introduce the short server's name here | ||
DAEMON=/usr/sbin/staticmirror # Introduce the server's location here | ||
DAEMON_ARGS="" # Arguments to run the daemon with | ||
PIDFILE=/var/run/$NAME.pid | ||
SCRIPTNAME=/etc/init.d/$NAME | ||
|
||
# Exit if the package is not installed | ||
[ -x $DAEMON ] || exit 0 | ||
|
||
# Read configuration variable file if it is present | ||
[ -r /etc/default/$NAME ] && . /etc/default/$NAME | ||
|
||
# Load the VERBOSE setting and other rcS variables | ||
. /lib/init/vars.sh | ||
|
||
# Define LSB log_* functions. | ||
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present. | ||
. /lib/lsb/init-functions | ||
|
||
# | ||
# Function that starts the daemon/service | ||
# | ||
do_start() | ||
{ | ||
# Return | ||
# 0 if daemon has been started | ||
# 1 if daemon was already running | ||
# 2 if daemon could not be started | ||
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \ | ||
|| return 1 | ||
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \ | ||
$DAEMON_ARGS \ | ||
|| return 2 | ||
# Add code here, if necessary, that waits for the process to be ready | ||
# to handle requests from services started subsequently which depend | ||
# on this one. As a last resort, sleep for some time. | ||
} | ||
|
||
# | ||
# Function that stops the daemon/service | ||
# | ||
do_stop() | ||
{ | ||
# Return | ||
# 0 if daemon has been stopped | ||
# 1 if daemon was already stopped | ||
# 2 if daemon could not be stopped | ||
# other if a failure occurred | ||
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME | ||
RETVAL="$?" | ||
[ "$RETVAL" = 2 ] && return 2 | ||
# Wait for children to finish too if this is a daemon that forks | ||
# and if the daemon is only ever run from this initscript. | ||
# If the above conditions are not satisfied then add some other code | ||
# that waits for the process to drop all resources that could be | ||
# needed by services started subsequently. A last resort is to | ||
# sleep for some time. | ||
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON | ||
[ "$?" = 2 ] && return 2 | ||
# Many daemons don't delete their pidfiles when they exit. | ||
rm -f $PIDFILE | ||
return "$RETVAL" | ||
} | ||
|
||
# | ||
# Function that sends a SIGHUP to the daemon/service | ||
# | ||
do_reload() { | ||
# | ||
# If the daemon can reload its configuration without | ||
# restarting (for example, when it is sent a SIGHUP), | ||
# then implement that here. | ||
# | ||
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME | ||
return 0 | ||
} | ||
|
||
case "$1" in | ||
start) | ||
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME" | ||
do_start | ||
case "$?" in | ||
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; | ||
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; | ||
esac | ||
;; | ||
stop) | ||
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME" | ||
do_stop | ||
case "$?" in | ||
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; | ||
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; | ||
esac | ||
;; | ||
status) | ||
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $? | ||
;; | ||
#reload|force-reload) | ||
# | ||
# If do_reload() is not implemented then leave this commented out | ||
# and leave 'force-reload' as an alias for 'restart'. | ||
# | ||
#log_daemon_msg "Reloading $DESC" "$NAME" | ||
#do_reload | ||
#log_end_msg $? | ||
#;; | ||
restart|force-reload) | ||
# | ||
# If the "reload" option is implemented then remove the | ||
# 'force-reload' alias | ||
# | ||
log_daemon_msg "Restarting $DESC" "$NAME" | ||
do_stop | ||
case "$?" in | ||
0|1) | ||
do_start | ||
case "$?" in | ||
0) log_end_msg 0 ;; | ||
1) log_end_msg 1 ;; # Old process is still running | ||
*) log_end_msg 1 ;; # Failed to start | ||
esac | ||
;; | ||
*) | ||
# Failed to stop | ||
log_end_msg 1 | ||
;; | ||
esac | ||
;; | ||
*) | ||
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2 | ||
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2 | ||
exit 3 | ||
;; | ||
esac | ||
|
||
: |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,56 @@ | ||
.\" Hey, EMACS: -*- nroff -*- | ||
.\" (C) Copyright 2014 Firauxa <iqbalmineraltown@gmail.com>, | ||
.\" | ||
.\" First parameter, NAME, should be all caps | ||
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection | ||
.\" other parameters are allowed: see man(7), man(1) | ||
.TH STATICMIRROR SECTION "May 16, 2014" | ||
.\" Please adjust this date whenever revising the manpage. | ||
.\" | ||
.\" Some roff macros, for reference: | ||
.\" .nh disable hyphenation | ||
.\" .hy enable hyphenation | ||
.\" .ad l left justify | ||
.\" .ad b justify to both left and right margins | ||
.\" .nf disable filling | ||
.\" .fi enable filling | ||
.\" .br insert line break | ||
.\" .sp <n> insert n+1 empty lines | ||
.\" for manpage-specific macros, see man(7) | ||
.SH NAME | ||
staticmirror \- program to do something | ||
.SH SYNOPSIS | ||
.B staticmirror | ||
.RI [ options ] " files" ... | ||
.br | ||
.B bar | ||
.RI [ options ] " files" ... | ||
.SH DESCRIPTION | ||
This manual page documents briefly the | ||
.B staticmirror | ||
and | ||
.B bar | ||
commands. | ||
.PP | ||
.\" TeX users may be more comfortable with the \fB<whatever>\fP and | ||
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, | ||
.\" respectively. | ||
\fBstaticmirror\fP is a program that... | ||
.SH OPTIONS | ||
These programs follow the usual GNU command line syntax, with long | ||
options starting with two dashes (`-'). | ||
A summary of options is included below. | ||
For a complete description, see the Info files. | ||
.TP | ||
.B \-h, \-\-help | ||
Show summary of options. | ||
.TP | ||
.B \-v, \-\-version | ||
Show version of program. | ||
.SH SEE ALSO | ||
.BR bar (1), | ||
.BR baz (1). | ||
.br | ||
The programs are documented fully by | ||
.IR "The Rise and Fall of a Fooish Bar" , | ||
available via the Info system. |
Oops, something went wrong.